# Generated by Django 3.2.3 on 2022-07-13 18:55

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('enquetes', '0010_auto_20220713_1752'),
    ]

    operations = [
        migrations.CreateModel(
            name='Usuario',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('login', models.CharField(max_length=25)),
                ('senha', models.CharField(max_length=25)),
            ],
            options={
                'verbose_name': 'usuário',
            },
        ),
        migrations.RemoveField(
            model_name='autor',
            name='user',
        ),
        migrations.RemoveField(
            model_name='voto',
            name='user',
        ),
        migrations.AddField(
            model_name='voto',
            name='usuario',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='enquetes.usuario'),
        ),
    ]
